Bug 1263579 - Firefox SIGPIPE broken pipe crash
Firefox SIGPIPE broken pipe crash
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 04:47 EDT by Pasi Karkkainen
Modified: 2016-07-19 15:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:18:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
firefox sigpipe crash 01 GDB backtrace (218.98 KB, text/plain)
2015-09-16 04:47 EDT, Pasi Karkkainen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 1205203 None None None Never

  None (edit)
Description Pasi Karkkainen 2015-09-16 04:47:18 EDT
Created attachment 1073919 [details]
firefox sigpipe crash 01 GDB backtrace

Description of problem:

Current Firefox 40 on Fedora 22 x86_64 crashes quite often (up to multiple times per day) for me. It happens randomly, so no easy steps to reproduce. Just browse the web and eventually firefox will crash.. 


Version-Release number of selected component (if applicable):
firefox-40.0.3-1.fc22.x86_64


How reproducible:
Randomly, but often. It has happened many times recently.


Steps to Reproduce:
1. Browse the web.
2. ??? 
3. firefox crashes.

Actual results:
Firefox crashes with SIGPIPE.

Expected results:
Firefox doesn't crash.

Additional info:

GDB output:

Program received signal SIGPIPE, Broken pipe.
[Switching to Thread 0x7fffd9cfe700 (LWP 10240)]
0x00007ffff7bcfa2f in __libc_send (fd=52, buf=buf@entry=0x7fff9b887000, n=n@entry=37, 
    flags=flags@entry=0) at ../sysdeps/unix/sysv/linux/x86_64/send.c:31
31        ssize_t result = INLINE_SYSCALL (sendto, 6, fd, buf, n, flags, NULL,
(gdb) 

I'll attach full GDB backtrace aswell.
Comment 1 Pasi Karkkainen 2015-09-16 04:49:36 EDT
I also submitted upstream Mozilla bugzilla entry about this same issue:
https://bugzilla.mozilla.org/show_bug.cgi?id=1205203
Comment 2 Pasi Karkkainen 2015-09-27 09:11:26 EDT
Btw this crash seems to be specific to Fedora build of Firefox. When I run the firefox binary provided by Mozilla it's stable - no crashes.
Comment 3 Fedora End Of Life 2016-07-19 15:18:42 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.